Query Bootstrap
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"schemaVersion": 1,
"columns": [
"<string>"
],
"quickFilters": {
"status": [
"<string>"
],
"categoryIds": [
"<string>"
],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": {
"sets": [
{
"conditions": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
}
]
},
"groupBy": [
{
"fieldKey": "<string>"
}
],
"sort": [
{
"fieldKey": "<string>"
}
]
},
"search": "<string>",
"showItemCount": true,
"cursor": "<string>",
"limit": 50,
"grouping": [
{
"kind": "area"
}
],
"showUnassigned": true,
"showExtraQuantity": true
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/query"
payload = {
"configuration": {
"schemaVersion": 1,
"columns": ["<string>"],
"quickFilters": {
"status": ["<string>"],
"categoryIds": ["<string>"],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": { "sets": [{ "conditions": [
{
"fieldKey": "<string>",
"values": ["<string>"]
}
] }] },
"groupBy": [{ "fieldKey": "<string>" }],
"sort": [{ "fieldKey": "<string>" }]
},
"search": "<string>",
"showItemCount": True,
"cursor": "<string>",
"limit": 50,
"grouping": [{ "kind": "area" }],
"showUnassigned": True,
"showExtraQuantity": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {
schemaVersion: 1,
columns: ['<string>'],
quickFilters: {
status: ['<string>'],
categoryIds: ['<string>'],
columnFilters: [{fieldKey: '<string>', type: 'text', value: '<string>'}]
},
advancedFilter: {sets: [{conditions: [{fieldKey: '<string>', values: ['<string>']}]}]},
groupBy: [{fieldKey: '<string>'}],
sort: [{fieldKey: '<string>'}]
},
search: '<string>',
showItemCount: true,
cursor: '<string>',
limit: 50,
grouping: [{kind: 'area'}],
showUnassigned: true,
showExtraQuantity: true
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableDimensions": [
{
"key": "area",
"kind": "area"
}
],
"effectiveSettings": {
"layout": "areas",
"customGrouping": [
{
"kind": "area"
}
],
"version": 123,
"isDefault": true,
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
},
"canonicalDefaults": {
"layout": "areas",
"customGrouping": [
{
"kind": "area"
}
],
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
},
"projection": {
"areaStructureVersion": 123,
"nodes": [
{
"kind": "area",
"id": "<string>",
"label": "<string>",
"structuralParentId": "<string>",
"structuralChildCount": 123,
"hasStructuralChildren": true,
"groupingChildCount": 123,
"hasGroupingChildren": true,
"selection": {
"kind": "path",
"segments": [
{
"dimension": "area",
"scope": "direct",
"areaId": "<string>"
}
]
},
"areaCount": 123,
"hasFloorPlan": true,
"pinnedCount": 123,
"code": "<string>",
"itemCount": 123
}
],
"pageInfo": {
"nextCursor": "<string>",
"hasMore": true
},
"allItemsCount": 123,
"unassignedCount": 123,
"extraQuantityCount": 123
},
"preferenceWarning": "<string>"
}Specification Navigator
Query Bootstrap
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
specification-navigator
/
query
Query Bootstrap
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Required string length:
1 - 255Available options:
new, ready, broken Required string length:
1 - 2048Required range:
1 <= x <= 100Available options:
areas, categories, areas-categories, categories-areas, custom Required array length:
1 - 3 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Response
200 - application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I